Black Friday Black Friday: az új LetsBot csomagokkal akár 60% megtakarítás — csak november 30.-ig. Csomagok megtekintése Csomagok megtekintése
LetsBot Menü
Kezdje el Magyar Nyelv

Hitelesített Meta Tech Provider Az Egyesült Királyságban bejegyzett cég

Nyelv

Live Chat · API-végpont

POST /api/v1/live_chat/remove-moderator Új

Remove team member from contact

Take a team member off a conversation, or every team member with all=true (the live chat's unassign).

Take a team member off a conversation, or every team member with all=true (the live chat's unassign). The assignment history records it with actor api. Never creates a contact; nothing is sent to the customer.

Required: phone (or contact_id), and moderator_id (an id from list team members) or all=true.

Answers {"message": "success", "data": {"contact_id", "phone", "removed_moderators": [ids], "moderators": [{"id", "name"}]}}. Unknown conversation: HTTP 404 code=contact_not_found. Validation errors return HTTP 422 {"message": "error", "data": "<first error>"}.

Űrlapmezők

MezőPélda
phone{{phone}}
moderator_id3

Példakérés

curl -X POST "https://letsbot.net/api/v1/live_chat/remove-moderator" \
  -H "Authorization: Bearer YOUR_LB_API_KEY" \
  -H "Accept: application/json" \
  -F "phone=9665xxxxxxxx" \
  -F "moderator_id=3"
const response = await fetch("https://letsbot.net/api/v1/live_chat/remove-moderator", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_LB_API_KEY",
    "Accept": "application/json",
  },
  body: new URLSearchParams({
    "phone": "9665xxxxxxxx",
    "moderator_id": "3",
  }),
});

const data = await response.json();
console.log(data);
<?php

$ch = curl_init('https://letsbot.net/api/v1/live_chat/remove-moderator');

curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer YOUR_LB_API_KEY',
        'Accept: application/json',
    ],
    CURLOPT_POSTFIELDS => http_build_query([
        'phone' => '9665xxxxxxxx',
        'moderator_id' => '3',
    ]),
]);

$data = json_decode(curl_exec($ch), true);
curl_close($ch);

print_r($data);
import requests

response = requests.request(
    "POST",
    "https://letsbot.net/api/v1/live_chat/remove-moderator",
    headers={
        "Authorization": "Bearer YOUR_LB_API_KEY",
        "Accept": "application/json",
    },
    data={
        "phone": "9665xxxxxxxx",
        "moderator_id": "3",
    },
)

print(response.json())

Készen állunk, amikor Ön is

Próbálja ki ezt a végpontot a saját számán

Az API az ingyenes próbaidőszak alatt is működik. Hozzon létre fiókot, csatlakoztassa WhatsApp-számát, és másolja ki a kulcsát az API → Hitelesítési adatok menüben.